Loading...
Searching...
No Matches
globus_ftp_client_restart_marker_plugin.h File Reference

GridFTP Restart Marker Plugin Implementation. More...

`#include "globus_ftp_client.h"`
`#include "globus_ftp_client_plugin.h"`

Go to the source code of this file.

## Macros

#define | GLOBUS_FTP_CLIENT_RESTART_MARKER_PLUGIN_MODULE (&globus_i_ftp_client_restart_marker_plugin_module)

## Typedefs

typedef globus_bool_t(* | globus_ftp_client_restart_marker_plugin_begin_cb_t) (void *user_arg, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_ftp_client_restart_marker_t *user_saved_marker)
| Transfer begin callback.
typedef void(* | globus_ftp_client_restart_marker_plugin_marker_cb_t) (void *user_arg, globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)
typedef void(* | globus_ftp_client_restart_marker_plugin_complete_cb_t) (void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, const char *error_url)

## Functions

globus_result_t | globus_ftp_client_restart_marker_plugin_init (globus_ftp_client_plugin_t *plugin, globus_ftp_client_restart_marker_plugin_begin_cb_t begin_cb, globus_ftp_client_restart_marker_plugin_marker_cb_t marker_cb, globus_ftp_client_restart_marker_plugin_complete_cb_t complete_cb, void *user_arg)
globus_result_t | globus_ftp_client_restart_marker_plugin_destroy (globus_ftp_client_plugin_t *plugin)

## Detailed Description

GridFTP Restart Marker Plugin Implementation.